4

We are going to apply Oracle patch 11.2.0.4 on Oracle 11.2.0.2. We have 11.2.0.4 patch. We are using (DBUA) for this upgrade. As DBUA will check the preupgrade requisites, we want to run preupgrade check manually.

Could you please help where we can find preupgrade check?
How to run this script?

From which ORACLE_HOME should we run this script, as we have two ORACLE_HOME directories?

2

Using the Pre-Upgrade Information Tool

Important:

The Pre-Upgrade Information Tool must be copied to and must be run from the environment of the database being upgraded.

...

Run the Pre-Upgrade Information Tool:

SQL> @$11g_ORACLE_HOME/rdbms/admin/utlu112i.sql
  • Dear Balazs Papp, It means run the upgrade tool on 11.2.0.2? – Rahman Khost Oct 16 '17 at 11:22
  • The PRE-upgrade tool, as the very name PRE-upgrade suggests, means to run the tool PRE-upgrade -- BEFORE the upgrade. And at that point you have to run it against the 11.2.0.2 for the very simple reason that the database has not yet been upgraded to 11.2.0.4. When I'm doing an upgrade, I create a directory dedicated to all of the scripts I will need, and utlu112i.sql is one of those scripts. BTW, it is really nothing but an evaluation report. It doesn't make any changes itself. – EdStevens Oct 16 '17 at 21:39
  • Hello! the oracle user does not have the execute permission. should i run it from root user? OR change the permission? – Rahman Khost Oct 17 '17 at 9:23
  • @Rahman Khost You need to run the script in the database with SYS user, not in the operating system as oracle user. – Balazs Papp Oct 17 '17 at 17:10
2

DBUA will run the preupgrade script for you, but you can of course run it by yourself.

I strongly recommend that you install 11.2.0.4 binaries into a distinct ORACLE_HOME and patch this OH with the latest PSU BEFORE run the DBUA utility.

By the time of this writing this is the OCT-2017 PSU (Patch 26392168: DATABASE PATCH SET UPDATE 11.2.0.4.171017).

https://support.oracle.com/epmos/faces/ui/patch/PatchDetail.jspx?_afrLoop=544807627253372&parent=DOCUMENT&patchId=26392168&sourceId=2118136.2&_afrWindowMode=0&_adf.ctrl-state=1ad11pbsym_60

  • Dear Luis Santos. thank you for the answer.... We are not going to 11.2.0.4.171017.... we just want to move from 11.2.0.2 to 11.2.0.4. Now when I run DBUA it gives us an Error:Ora-01403 no data found. Any Suggestion .... As, I think whenever the DBUA try to run the preupgrade script ... we face the mentioned error. – Rahman Khost Oct 22 '17 at 5:28
  • Means inside the preupgrade script there is some querry which can cause the error. – Rahman Khost Oct 22 '17 at 8:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.